ClarisWksGraphInternal::Chart Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ClarisWksGraphInternal::Chart Struct Reference

Internal: structure used to store a chart zone of a ClarisWksGraph. More...

Inheritance diagram for ClarisWksGraphInternal::Chart:

## Public Member Functions
| Chart (Zone const &z)
| construtor More...
| ~Chart ()
| destructor More...
virtual void | print (std::ostream &o) const
| print the zone More...
virtual Type | getType () const
| return the main type More...
virtual Type | getSubType () const
| return the sub type More...
virtual int | getNumData (int version) const
| return the number of data More...
virtual ClarisWksStruct::DSET::Child | getChild () const
| return a child corresponding to this zone More...
Public Member Functions inherited from ClarisWksGraphInternal::Zone
| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...
MWAWBox2f | getBdBox () const
| return the zone bdbox More...
virtual int | getZoneId () const
| returns the id of the reference zone More...
virtual bool | canBeSendAsGraphic () const
| returns true if the zone can be send using a graphic listener (partial check) More...

## Additional Inherited Members
Public Types inherited from ClarisWksGraphInternal::Zone
enum | Type { T_Zone, T_Zone2, T_Shape, T_Picture, T_Chart, T_DataBox, T_Unknown, T_Line, T_Rect, T_RectOval, T_Oval, T_Arc, T_Poly, T_Pict, T_QTim, T_Movie }
| the list of types More...
Public Attributes inherited from ClarisWksGraphInternal::Zone
int | m_zoneType
| the zone type More...
int | m_page
| the page (checkme: or frame linked ) More...
MWAWBox2f | m_box
| the bdbox More...
int | m_ordering
| the ordering More...
Style | m_style
| the style More...

## Detailed Description

Internal: structure used to store a chart zone of a ClarisWksGraph.

## Constructor & Destructor Documentation

ClarisWksGraphInternal::Chart::Chart | ( | Zone const & | z | ) |
| inlineexplicit

construtor

ClarisWksGraphInternal::Chart::~Chart | ( |  | ) |

destructor

## Member Function Documentation

virtual ClarisWksStruct::DSET::Child ClarisWksGraphInternal::Chart::getChild | ( |  | ) | const
| inlinevirtual

return a child corresponding to this zone

Reimplemented from ClarisWksGraphInternal::Zone.

virtual int ClarisWksGraphInternal::Chart::getNumData | ( | int | version | ) | const
| inlinevirtual

return the number of data

Reimplemented from ClarisWksGraphInternal::Zone.

virtual Type ClarisWksGraphInternal::Chart::getSubType | ( |  | ) | const
| inlinevirtual

return the sub type

Reimplemented from ClarisWksGraphInternal::Zone.

virtual Type ClarisWksGraphInternal::Chart::getType | ( |  | ) | const
| inlinevirtual

return the main type

Reimplemented from ClarisWksGraphInternal::Zone.

virtual void ClarisWksGraphInternal::Chart::print | ( | std::ostream & | o | ) | const
| inlinevirtual

print the zone

Reimplemented from ClarisWksGraphInternal::Zone.

The documentation for this struct was generated from the following file:

- ClarisWksGraph.cxx